[Contents] [Prev] [Next] [Index] [Report an Error]

# Configuring Event Statistics

To configure the router to count events on a queue, you configure the threshold above which forwarding or drop events are counted.

A forwarding rate event occurs each time the forwarding rate exceeds the threshold during the specified rate period.

A drop event occurs each time the number of packets dropped exceeds the threshold during the specified rate period.

To gather event statistics:

1. Create the statistics profile.
   `
   host1(config)#statistics-profile statpro-1
   `
2. Set the length of time during which statistics are counted.
   `
   host1(config-statistics-profile)#rate-period 30
   Rate period range is 1–43200 seconds.
   `
3. (Optional) Set the threshold above which forwarding rate events are counted.
   `
   host1(config-statistics-profile)#forwarding-rate-threshold 10000000
   Forwarding rate threshold range is 0–1073741824 bps; default is no threshold.
   `
4. (Optional) Set a threshold for committed (green) packets.
   `
   host1(config-statistics-profile)#committed-drop-threshold 2000000
   Drop rate threshold range is 0–1073741824 bps; default is no threshold.
   `
5. (Optional) Set a threshold for conformed (yellow) packets.
   `
   host1(config-statistics-profile)#conformed-drop-threshold 4000000
   Drop rate threshold range is 0–1073741824 bps; default is no threshold.
   `
6. (Optional) Set a threshold for exceeded (red) packets.
   `
   host1(config-statistics-profile)#exceeded-drop-threshold 6000000
   Drop rate threshold range is 0–1073741824 bps; default is no threshold.
   `
7. Reference the statistics profile in a QoS profile.
   `
   host1(config)#qos-profile qospro-1
   host1(config-qos-profile)#ip queue traffic-class tc1 scheduler-profile sp1 statistics-profile statpro-1
   `
8. Attach the QoS profile to the appropriate interface.
   `
   host1(config)#interface gigabitEthernet 1/0
   host1(config-subif)#qos-profile qospro-1
   host1(config-subif)#exit
   `
9. (Optional) Display the event statistics.
   `
   host1#show egress-queue events interface gigabitEthernet 1/0
   `

#### Related Topics

- Configuring Statistic Profiles for QoS
- Configuring a QoS Profile
- Monitoring QoS Statistics for Rates and Events
- committed-drop-threshold command
- conformed-drop-threshold command
- exceeded-drop-threshold command
- forwarding-rate-threshold command
- qos-profile command
- queue command
- rate-period command
- statistics-profile command

[Contents] [Prev] [Next] [Index] [Report an Error]